Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.crypto
Class ExemptionMechanismException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.GeneralSecurityException
                        |
                        +--javax.crypto.ExemptionMechanismException

All Implemented Interfaces:
  java.io.Serializable

public class ExemptionMechanismException
extends java.security.GeneralSecurityException

This is the generic ExemptionMechanism exception.

See Also:
  Serialized Form

Constructor Summary
`ExemptionMechanismException()` Constructs a ExemptionMechanismException with no detailed message.
`ExemptionMechanismException(java.lang.String msg)` Constructs a ExemptionMechanismException with the specified detailed message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExemptionMechanismException

    public ExemptionMechanismException()

  Constructs a ExemptionMechanismException with no detailed message. (A detailed message is a String that describes this particular exception.)

### ExemptionMechanismException

    public ExemptionMechanismException(java.lang.String msg)

  Constructs a ExemptionMechanismException with the specified detailed message. (A detailed message is a String that describes this particular exception.)
  Parameters:
    `msg` - the detailed message.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD